From linux-usb-devel-admin@lists.sourceforge.net Mon Apr 11 03:17:38 2005
From: Sven Anderson <sven@anderson.de>
To: Phil Dibowitz <phil@ipom.com>
Cc: linux-usb-devel@lists.sourceforge.net
Subject: USB: clean up all iPod models in unusual_devs.h
Date: Mon, 11 Apr 2005 12:16:05 +0200
Content-Length: 2924
Lines: 84

Phil Dibowitz wrote:
> 1. You're adding product IDs 1202, 1203, 1204, and 1205. 1203 was
> already there, but you remove it, OK, but 1205 is already there, so
> you'll need to fix that.

I was not removing 1203, it's just the extension of the bcd range. You are 
right about 1205, as I wrote, it was a patch against 2.6.11.7. Attached is 
a patch against 2.6.12-rc2.

> 2. I'm OK with the full bcd range if Apple is changing it on firmware
> revs... fine, but it's bcd, not hex... 0x9999 =)

I just copied from other entries. There're a lot 0xffffs in unusual_dev.h, 
so I assumed it is correct. I changed it to 0x9999.

> 3. It's rather obnoxious to take the original submitter's credit away.

I didn't remove it, I changed it to "based on...". Because I changed 
something (the range) in his entry, I thought it is the best to take the 
responsibility but keep the origin. Anyway, in the new patch I did it in a 
different way.

> 4. Your /proc/bus/usb/devices shows 1204, but I see no evidence 1202 is
> really an iPod.

I don't have an old iPod mini, but you find a lot of evidence here:

http://www.google.com/search?q=0x1202+ipod

Especially this one:

http://www.qbik.ch/usb/devices/showdescr.php?id=2737

> It also looks like 1205's entry is getting mangled, but I haven't
> attempted to apply the patch, so I'm not sure.

No, the patch was ok, but I agree it looks strange. It's not very 
readable, because I cannot tell diff to work blockwise instead of 
linewise. Because of the similarity of the entries, diff splits and merges 
them. Anyway, the new patch "looks" better. ;-)

Signed-off-by: Sven Anderson <sven-linux@anderson.de>
Signed-off-by: Phil Dibowitz <phil@ipom.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>



--- linux-2.6.12-rc2/drivers/usb/storage/unusual_devs.h.orig	2005-04-10 18:09:04.000000000 +0200
+++ linux-2.6.12-rc2/drivers/usb/storage/unusual_devs.h	2005-04-10 18:21:10.000000000 +0200
@@ -517,14 +517,32 @@
 		0 ),
 #endif
 
+/* Submitted by Sven Anderson <sven-linux@anderson.de>
+ * There are at least four ProductIDs used for iPods, so I added 0x1202 and
+ * 0x1204. They just need the US_FL_FIX_CAPACITY. As the bcdDevice appears
+ * to change with firmware updates, I changed the range to maximum for all
+ * iPod entries.
+ */
+UNUSUAL_DEV( 0x05ac, 0x1202, 0x0000, 0x9999,
+		"Apple",
+		"iPod",
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
+		US_FL_FIX_CAPACITY ),
+
 /* Reported by Avi Kivity <avi@argo.co.il> */
-UNUSUAL_DEV( 0x05ac, 0x1203, 0x0001, 0x0001,
+UNUSUAL_DEV( 0x05ac, 0x1203, 0x0000, 0x9999,
+		"Apple",
+		"iPod",
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
+		US_FL_FIX_CAPACITY ),
+
+UNUSUAL_DEV( 0x05ac, 0x1204, 0x0000, 0x9999,
 		"Apple",
 		"iPod",
 		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_FIX_CAPACITY ),
 
-UNUSUAL_DEV( 0x05ac, 0x1205, 0x0001, 0x0001,
+UNUSUAL_DEV( 0x05ac, 0x1205, 0x0000, 0x9999,
 		"Apple",
 		"iPod",
 		US_SC_DEVICE, US_PR_DEVICE, NULL,

